### Method

# WebKit2WebExtension DOMDocument get_element_by_id

deprecated: 2.22

#### Declaration [src]

    WebKitDOMElement*
    webkit_dom_document_get_element_by_id (
      WebKitDOMDocument* self,
      const gchar* elementId
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`elementId`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDOMElement`

A `WebKitDOMElement`.

The returned data is owned by the instance.